Subject: Re: [IPsec] Issue #130: Do we need to bump the minor version number?

From: Paul Hoffman <[email-masked]>
Date: Sun, 10 Jan 2010 16:49:23 -0800

At 2:21 PM -0800 12/16/09, Paul Hoffman wrote:
>Section 1.7 (Differences Between RFC 4306 and This Document) states:
>
>   The protocol described in this document retains the same major
>   version number (2) and minor version number (0) as was used in RFC
>   4306.  That is, the version number is *not* changed from RFC 4306.
>
>Section 2.5 (Version Numbers and Forward Compatibility) states
>
>   The minor
>   version number indicates new capabilities, and MUST be ignored by a
>   node with a smaller minor version number, but used for informational
>   purposes by the node with the larger minor version number.  For
>   example, it might indicate the ability to process a newly defined
>   notification message.  The node with the larger minor version number
>   would simply note that its correspondent would not be able to
>   understand that message and therefore would not send it.
>
>New notifies have been added to the bis draft.   Is a bump in the minor
>number warranted?  Is there a down side to bumping the minor number?

I take the discussion as deciding not to bump the minor version number.

--Paul Hoffman, Director
--VPN Consortium